ghc-7.0.3: The GHC API

CostCentre

# Documentation

data CostCentre

Constructors

NoCostCentre |
NormalCC |

Fields

cc_name :: CcName
cc_mod :: Module
cc_is_dupd :: IsDupdCC
cc_is_caf :: IsCafCC

AllCafsCC |

Fields

cc_mod :: Module

Instances

Eq CostCentre |
Data CostCentre |
Ord CostCentre |
Typeable CostCentre |
Outputable CostCentre |
Binary CostCentre |

type CcName = FastString

data IsDupdCC

Constructors

OriginalCC |
DupdCC |

Instances

Data IsDupdCC |
Typeable IsDupdCC |
Binary IsDupdCC |

data IsCafCC

Constructors

CafCC |
NotCafCC |

Instances

Data IsCafCC |
Typeable IsCafCC |
Binary IsCafCC |

data CostCentreStack

Instances

Eq CostCentreStack |
Ord CostCentreStack |
Outputable CostCentreStack |

type CollectedCCs = ([CostCentre], [CostCentre], [CostCentreStack])

noCCS :: CostCentreStack

subsumedCCS :: CostCentreStack

currentCCS :: CostCentreStack

overheadCCS :: CostCentreStack

dontCareCCS :: CostCentreStack

noCostCentre :: CostCentre

noCCAttached :: CostCentre -> Bool

noCCSAttached :: CostCentreStack -> Bool

isCurrentCCS :: CostCentreStack -> Bool

isSubsumedCCS :: CostCentreStack -> Bool

currentOrSubsumedCCS :: CostCentreStack -> Bool

isDerivedFromCurrentCCS :: CostCentreStack -> Bool

maybeSingletonCCS :: CostCentreStack -> Maybe CostCentre

decomposeCCS :: CostCentreStack -> ([CostCentre], CostCentreStack)

pushCCisNop :: CostCentre -> CostCentreStack -> Bool

mkUserCC :: FastString -> Module -> CostCentre

mkAutoCC :: Id -> Module -> IsCafCC -> CostCentre

mkAllCafsCC :: Module -> CostCentre

mkSingletonCCS :: CostCentre -> CostCentreStack

dupifyCC :: CostCentre -> CostCentre

pushCCOnCCS :: CostCentre -> CostCentreStack -> CostCentreStack

isCafCCS :: CostCentreStack -> Bool

isCafCC :: CostCentre -> Bool

isSccCountCostCentre :: CostCentre -> Bool

sccAbleCostCentre :: CostCentre -> Bool

ccFromThisModule :: CostCentre -> Module -> Bool

pprCostCentreCore :: CostCentre -> SDoc

costCentreUserName :: CostCentre -> String

cmpCostCentre :: CostCentre -> CostCentre -> Ordering